Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162053 - Installer detects two NICS, but doesn't bring them up
Summary: Installer detects two NICS, but doesn't bring them up
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 14:44 UTC by Todd Warfield
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 18:26:35 UTC


Attachments (Terms of Use)

Description Todd Warfield 2005-06-29 14:44:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Using kickstart on a HP ML380G4 with two Broadcom integrated NICs on RHEL ES 3 Update 4 will present the selection to choose a NIC. Found the suggestion to use ksdevice=eth<#> but that still presents the options. Looking at the Alt-F4 screen output does not show the card coming up. Even attempted to disable the second card in the BIOS, but the installer still sees both.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot off boot ISO
2.at boot prompt, typing linux ks=cdrom:/ks.cfg ksdevice=eth0 ip=<ip> gateway=<gw> netmask=<mask> dns=<dns,dns,dns> method=nfs:<nfsserver>:/path
3.prompted to select NIC
  

Actual Results:  ananconda will not bring the interface up. If we go back and select the other NIC, it will then come up, but anaconda will go back to the selecting the adapter. Selecting the eth0 NIC will now proceed through the installer.

Expected Results:  Using the ksdevice=<eth#> should just continue to go through anaconda and finish the install.

Additional info:

Comment 1 Todd Warfield 2005-06-29 14:46:14 UTC
This is on RHEL ES 3 Update 5 {not 4 as mentioned in the original}

Comment 2 Jeremy Katz 2005-07-08 18:26:35 UTC
Make sure your kickstart config also specifies a device in the network line
(--device foo)


Note You need to log in before you can comment on or make changes to this bug.